QGIS Application - Bug report #10964

Processing: wrong warning shows when the projects has layer with manually defined CRSs

2014-07-28 07:20 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?:
Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #:

No

No
fixed/implemented
19312

Description

steps:

+ create a project and add a raster layer

+ duplicate the layer

+ in the duplicate layer change manually (for whatever reason) the CRS to a different one
+ save the project

starting from now when using certain tools (like "warp") a warning will pop up

Layers do not all use the same CRS.

This can cause unexpected results.
Do you want to continue?

problem is that for tools that have only 1 input file does not make sense at all...

Associated revisions

Revision 24e89a47 - 2014-08-06 02:57 PM - Alexander Bruy

[processing] don't warn about different CRS's if algorithm has only one
input (fix #10964)

History

#1 - 2014-08-06 05:57 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"24e89a4712{8f7936e99f177c48cb13bc216540d".

#2 - 2014-08-06 05:58 AM - Alexander Bruy

- Resolution set to fixed/implemented

#3 - 2015-06-07 04:31 AM - Giovanni Manghi
- Category changed from 94 to Processing/Core
